openSUSE: 2019:2393-1: moderate: python

    Date 27 Oct 2019
    463
    Posted By LinuxSecurity Advisories
    An update that fixes three vulnerabilities is now available.
       openSUSE Security Update: Security update for python
    ______________________________________________________________________________
    
    Announcement ID:    openSUSE-SU-2019:2393-1
    Rating:             moderate
    References:         #1130840 #1149955 #1153238 
    Cross-References:   CVE-2019-16056 CVE-2019-16935 CVE-2019-9947
                       
    Affected Products:
                        openSUSE Leap 15.1
    ______________________________________________________________________________
    
       An update that fixes three vulnerabilities is now available.
    
    Description:
    
       This update for python fixes the following issues:
    
       Security issues fixed:
    
       - CVE-2019-9947: Fixed an insufficient validation of URL paths with
         embedded whitespace or control characters that could allow HTTP header
         injections. (bsc#1130840)
       - CVE-2019-16056: Fixed a parser issue in the email module. (bsc#1149955)
       - CVE-2019-16935: Fixed a reflected XSS in python/Lib/DocXMLRPCServer.py
         (bsc#1153238).
    
       This update was imported from the SUSE:SLE-15:Update update project.
    
    
    Patch Instructions:
    
       To install this openSUSE Security Update use the SUSE recommended installation methods
       like YaST online_update or "zypper patch".
    
       Alternatively you can run the command listed for your product:
    
       - openSUSE Leap 15.1:
    
          zypper in -t patch openSUSE-2019-2393=1
    
    
    
    Package List:
    
       - openSUSE Leap 15.1 (i586 x86_64):
    
          libpython2_7-1_0-2.7.14-lp151.10.10.2
          libpython2_7-1_0-debuginfo-2.7.14-lp151.10.10.2
          python-2.7.14-lp151.10.10.1
          python-base-2.7.14-lp151.10.10.2
          python-base-debuginfo-2.7.14-lp151.10.10.2
          python-base-debugsource-2.7.14-lp151.10.10.2
          python-curses-2.7.14-lp151.10.10.1
          python-curses-debuginfo-2.7.14-lp151.10.10.1
          python-debuginfo-2.7.14-lp151.10.10.1
          python-debugsource-2.7.14-lp151.10.10.1
          python-demo-2.7.14-lp151.10.10.1
          python-devel-2.7.14-lp151.10.10.2
          python-gdbm-2.7.14-lp151.10.10.1
          python-gdbm-debuginfo-2.7.14-lp151.10.10.1
          python-idle-2.7.14-lp151.10.10.1
          python-tk-2.7.14-lp151.10.10.1
          python-tk-debuginfo-2.7.14-lp151.10.10.1
          python-xml-2.7.14-lp151.10.10.2
          python-xml-debuginfo-2.7.14-lp151.10.10.2
    
       - openSUSE Leap 15.1 (x86_64):
    
          libpython2_7-1_0-32bit-2.7.14-lp151.10.10.2
          libpython2_7-1_0-32bit-debuginfo-2.7.14-lp151.10.10.2
          python-32bit-2.7.14-lp151.10.10.1
          python-32bit-debuginfo-2.7.14-lp151.10.10.1
          python-base-32bit-2.7.14-lp151.10.10.2
          python-base-32bit-debuginfo-2.7.14-lp151.10.10.2
    
       - openSUSE Leap 15.1 (noarch):
    
          python-doc-2.7.14-lp151.10.10.1
          python-doc-pdf-2.7.14-lp151.10.10.1
    
    
    References:
    
       https://www.suse.com/security/cve/CVE-2019-16056.html
       https://www.suse.com/security/cve/CVE-2019-16935.html
       https://www.suse.com/security/cve/CVE-2019-9947.html
       https://bugzilla.suse.com/1130840
       https://bugzilla.suse.com/1149955
       https://bugzilla.suse.com/1153238
    
    -- 
    

    LinuxSecurity Poll

    Do you feel that the Lawful Access to Encrypted Data Act, which aims to force encryption backdoors, is a threat to US citizens' privacy?

    No answer selected. Please try again.
    Please select either existing option or enter your own, however not both.
    Please select minimum 0 answer(s) and maximum 3 answer(s).
    /main-polls/30-do-you-feel-that-the-lawful-access-to-encrypted-data-act-which-aims-to-force-encryption-backdoors-is-a-threat-to-privacy?task=poll.vote&format=json
    30
    radio
    [{"id":"106","title":"Yes - I am a privacy advocate and I am strongly opposed to this bill.","votes":"7","type":"x","order":"1","pct":100,"resources":[]},{"id":"107","title":"I'm undecided - it has its pros and cons.","votes":"0","type":"x","order":"2","pct":0,"resources":[]},{"id":"108","title":"No - I support this bill and feel that it will help protect against crime and threats to our national security. ","votes":"0","type":"x","order":"3","pct":0,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350
    bottom 200

    Please enable / Bitte aktiviere JavaScript!
    Veuillez activer / Por favor activa el Javascript![ ? ]

    We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.